extends KinematicBody

var vel = Vector3()
var accel = 0.888
var fall_accel = .98

func _process(delta):
	var move_vector = Vector3()
	move_vector.x = float(Input.is_action_pressed("ui_right")) - float(Input.is_action_pressed("ui_left"))
	move_vector.z = float(Input.is_action_pressed("ui_down")) - float(Input.is_action_pressed("ui_up"))
	
	vel += move_vector.normalized()
	vel.x *= accel
	vel.y = -fall_accel
	vel.z *= accel
	
	move_and_collide(vel * delta)
	get_node("Label").text = "Y position: " + str(transform.origin.y)
